Create Merchant Configs - Payments

Use these endpoints to set payment related configurations

👍

This endpoint uses API Key Authentication

Check out our API Key Authentication Section section to learn more

To Add Merchant Configurations to a Skipify Merchant Account, send an API call to:

Staging: POST https://merchants.staging.skipify.com/merchants/{merchantId}/configs

Production: POST https://merchants.skipify.com/merchants/{merchantId}/configs

Create Settlement Type Config

Required configuration for default flow where Skipify authorizes on your behalf.

  • AuthCapture -- Separate authorization and capture flow. Skipify will submit the transaction for authorization only. You are responsible for initiating the capture event.
  • Sale -- Skipify will submit the transaction for immediate capture

Request Body Parameters

Parameter NameRequiredTypeDescription/Value
nameyesstringSETTLEMENT_TYPE
enabledyesbooleantrue,
valueyesstringSale or AuthCapture

Response Body Parameters

Parameter NameTypeDescription
enabledbooleanThe current status of the configuration
namestringThe Name of the Configuration
valuestringThe Value of the Configuration Sale or AuthCapture
typestring, nullableThe Type of configuration if applicable
configIdstringthe Id of this configuration
merchantIdstringThe Skipify Merchant Identifier
createdAtstring, dateTimeThe created date/time for this configuration
Ex: 2024-06-02T21:48:02Z
updatedAtstring, dateTimeThe date/time this configuration was last updated
Ex: 2024-06-02T21:48:02Z

Payload Example

{
  "name": "SETTLEMENT_TYPE",
  "enabled": true,
  "value": "string" // Sale or AuthCapture
}
{
  "enabled": true,
  "name": "SETTLEMENT_TYPE",
  "value": "Sale",
  "type": "payment",
  "configId": "36363c70-8574-436f-b2dc-5e3686f061e9",
  "merchantId": "215b9068-55d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T19:38:28.596Z",
  "updatedAt": "2024-06-10T19:38:28.596Z"
}

Create Non Accepted Card Brands Config

All major card brands are accepted by default. This configuration needs to be set only if a merchant has specific card brands they do not wish to accept

Request Body Parameters

Parameter NameRequiredTypeDescription/Value
nameyesstringNON_ACCEPTED_CARD_BRANDS
enabledyesbooleantrue
valuenoobjectDescribes card brands that are not accepted by the merchant

Note* -

Response Body Parameters

Parameter NameTypeDescription
enabledbooleanThe current status of the configuration
namestringThe Name of the Configuration
valueobjectName of config and values "nonAcceptedCardBrands"
typestringThe Type of configuration if applicable
configIdstringthe Id of this configuration
merchantIdstringThe Skipify Merchant Identifier
createdAtstring, dateTimeThe created date/time for this configuration
Ex: 2024-06-02T21:48:02Z
updatedAtstring, dateTimeThe date/time this configuration was last updated
Ex: 2024-06-02T21:48:02Z

Payload Example

{
    "name": "NON_ACCEPTED_CARD_BRANDS",
    "enabled": true,
    "value": {
      "nonAcceptedCardBrands": ["amex"] // Optional; Defaults to empty array and can contain amex, visa, mastercard, discover
    }
}
{
  "enabled": true,
  "name": "NON_ACCEPTED_CARD_BRANDS",
  "value": {
    "nonAcceptedCardBrands": [
      "amex"
    ]
  },
  "type": "payment",
  "configId": "3446575f-a73c-9547-a227-0af8e9aff5d3",
  "merchantId": "234g5068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T17:41:07.907Z",
  "updatedAt": "2024-06-10T17:41:07.907Z"
}

Create AVS Decline Config

Request Body Parameters

Parameter NameRequiredTypeDescription/Value
nameyesstringAVS_DECLINE
enabledyesbooleantrue
valueyesbooleantrue

Response Body Parameters

Parameter NameTypeDescription
enabledbooleanThe current status of the configuration
namestringThe Name of the Configuration
valuebooleanThe Value of the Configuration
typestring, nullableThe Type of configuration if applicable
configIdstringthe Id of this configuration
merchantIdstringThe Skipify Merchant Identifier
createdAtstring, dateTimeThe created date/time for this configuration
Ex: 2024-06-02T21:48:02Z
updatedAtstring, dateTimeThe date/time this configuration was last updated
Ex: 2024-06-02T21:48:02Z

Payload Example

{
  "name": "AVS_DECLINE",
  "enabled": true,
  "value": true
}
{
  "enabled": true,
  "name": "AVS_DECLINE",
  "value": true,
  "type": "payment",
  "configId": "bfc53764-51kg-4790-a375-651c28cd5dc1",
  "merchantId": "435b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T17:55:34.069Z",
  "updatedAt": "2024-06-10T17:55:34.069Z"
}

Did this page help you?